import datetime
from django.utils import timezone
from factory import SubFactory
from factory.fuzzy import FuzzyText, FuzzyInteger, FuzzyDateTime, FuzzyDate, FuzzyDecimal, FuzzyChoice
from factory.django import DjangoModelFactory


class StatsLogFactory(DjangoModelFactory):

    action_object = None
    user = SubFactory('core.factories.CustomUserFactory')
    anonymous = FuzzyChoice(choices=(True, False))
    ip_address = '127.0.0.1'
    geo = None
    contact = FuzzyChoice(choices=(True, False))
    shop = FuzzyChoice(choices=(True, False))


    class Meta:
        model = 'stats.StatsLog'
